# Class GetConnectionsReply

#### Hierarchy

- unknown
  - GetConnectionsReply

- Defined in src/protobuf/grpc_pb.d.ts:934
- Defined in src/protobuf/grpc_pb.d.ts:948

#####
Index

### Constructors

constructor

### Methods

addConnections
clearConnectionsList
getConnectionsList
serializeBinary
setConnectionsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetConnectionsReply(): GetConnectionsReply

- #### Returns GetConnectionsReply

  Inherited from jspb.Message.constructor

## Methods

### addConnections

- addConnections(value?: UrlConnection, index?: number): UrlConnection

- #### Parameters

  - ##### `Optional` value: UrlConnection

  - ##### `Optional` index: number

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:938

### clearConnectionsList

- clearConnectionsList(): GetConnectionsReply

- #### Returns GetConnectionsReply

  - Defined in src/protobuf/grpc_pb.d.ts:937

### getConnectionsList

- getConnectionsList(): UrlConnection[]

- #### Returns UrlConnection[]

  - Defined in src/protobuf/grpc_pb.d.ts:935

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:940

### setConnectionsList

- setConnectionsList(value: UrlConnection[]): GetConnectionsReply

- #### Parameters

  - ##### value: UrlConnection[]

  #### Returns GetConnectionsReply

  - Defined in src/protobuf/grpc_pb.d.ts:936

### toObject

- toObject(includeInstance?: boolean): GetConnectionsReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetConnectionsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:941

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetConnectionsReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetConnectionsReply

  - Defined in src/protobuf/grpc_pb.d.ts:944

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetConnectionsReply, reader: BinaryReader): GetConnectionsReply

- #### Parameters

  - ##### message: GetConnectionsReply

  - ##### reader: BinaryReader

  #### Returns GetConnectionsReply

  - Defined in src/protobuf/grpc_pb.d.ts:945

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetConnectionsReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetConnectionsReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:943

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetConnectionsReply): GetConnectionsReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetConnectionsReply

  #### Returns GetConnectionsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:942

Generated using TypeDoc